Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Class ZipFileInput

    java.lang.Object
      com.jaspersoft.jasperserver.export.io.BaseImportInput
          com.jaspersoft.jasperserver.export.io.ZipFileInput

All Implemented Interfaces:
  ImportInput

    public class ZipFileInput

extends BaseImportInput

Version:
  $Id: ZipFileInput.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ZipFileInput(java.lang.String zipFilename)`

Method Summary
`void` | `close()`
`boolean` | `fileExists(java.lang.String path)`
`boolean` | `folderExists(java.lang.String path)`
`java.io.InputStream` | `getFileInputStream(java.lang.String path)`
`void` | `open()`

Methods inherited from class com.jaspersoft.jasperserver.export.io.BaseImportInput
`fileExists, getFileInputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipFileInput

    public ZipFileInput(java.lang.String zipFilename)

Method Detail

### open

    public void open()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### fileExists

    public boolean fileExists(java.lang.String path)

### folderExists

    public boolean folderExists(java.lang.String path)

### getFileInputStream

    public java.io.InputStream getFileInputStream(java.lang.String path)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.